org.apache.ode.bpel.elang.xpath20.runtime

## Class XPath20ExpressionRuntime

- java.lang.Object
- - org.apache.ode.bpel.elang.xpath20.runtime.XPath20ExpressionRuntime

- All Implemented Interfaces:
    ExpressionLanguageRuntime

      public class XPath20ExpressionRuntime
      extends java.lang.Object
      implements ExpressionLanguageRuntime

  XPath 2.0 Expression Language run-time subsytem. Saxon implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPath20ExpressionRuntime()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `evaluate(OExpression cexp, EvaluationContext ctx)`
    `boolean` | `evaluateAsBoolean(OExpression cexp, EvaluationContext ctx)`
    `java.util.Calendar` | `evaluateAsDate(OExpression cexp, EvaluationContext context)`
    `Duration` | `evaluateAsDuration(OExpression cexp, EvaluationContext context)`
    `java.lang.Number` | `evaluateAsNumber(OExpression cexp, EvaluationContext ctx)`
    `java.lang.String` | `evaluateAsString(OExpression cexp, EvaluationContext ctx)`
    `org.w3c.dom.Node` | `evaluateNode(OExpression cexp, EvaluationContext ctx)`
    `void` | `initialize(java.util.Map properties)` Initialize the expression evaluation runtime.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPath20ExpressionRuntime

          public XPath20ExpressionRuntime()

  - ### Method Detail

    - #### initialize

          public void initialize(java.util.Map properties)
                          throws ConfigurationException

      Description copied from interface: `ExpressionLanguageRuntime`
      Initialize the expression evaluation runtime.
      Specified by:
        `initialize` in interface `ExpressionLanguageRuntime`
      Parameters:
        `properties` - configuration properties
      Throws:
        `ConfigurationException`

    - #### evaluateAsString

          public java.lang.String evaluateAsString(OExpression cexp,
                                          EvaluationContext ctx)
                                            throws FaultException,
                                                   EvaluationException

      Specified by:
        `evaluateAsString` in interface `ExpressionLanguageRuntime`
      Throws:
        `FaultException`
        `EvaluationException`
      See Also:
        `ExpressionLanguageRuntime.evaluateAsString(org.apache.ode.bpel.o.OExpression, org.apache.ode.bpel.explang.EvaluationContext)`

    - #### evaluateAsBoolean

          public boolean evaluateAsBoolean(OExpression cexp,
                                  EvaluationContext ctx)
                                    throws FaultException,
                                           EvaluationException

      Specified by:
        `evaluateAsBoolean` in interface `ExpressionLanguageRuntime`
      Throws:
        `FaultException`
        `EvaluationException`
      See Also:
        `ExpressionLanguageRuntime.evaluateAsBoolean(org.apache.ode.bpel.o.OExpression, org.apache.ode.bpel.explang.EvaluationContext)`

    - #### evaluateAsNumber

          public java.lang.Number evaluateAsNumber(OExpression cexp,
                                          EvaluationContext ctx)
                                            throws FaultException,
                                                   EvaluationException

      Specified by:
        `evaluateAsNumber` in interface `ExpressionLanguageRuntime`
      Throws:
        `FaultException`
        `EvaluationException`

    - #### evaluate

          public java.util.List evaluate(OExpression cexp,
                                EvaluationContext ctx)
                                  throws FaultException,
                                         EvaluationException

      Specified by:
        `evaluate` in interface `ExpressionLanguageRuntime`
      Throws:
        `FaultException`
        `EvaluationException`
      See Also:
        `ExpressionLanguageRuntime.evaluate(org.apache.ode.bpel.o.OExpression, org.apache.ode.bpel.explang.EvaluationContext)`

    - #### evaluateNode

          public org.w3c.dom.Node evaluateNode(OExpression cexp,
                                      EvaluationContext ctx)
                                        throws FaultException,
                                               EvaluationException

      Specified by:
        `evaluateNode` in interface `ExpressionLanguageRuntime`
      Throws:
        `FaultException`
        `EvaluationException`

    - #### evaluateAsDate

          public java.util.Calendar evaluateAsDate(OExpression cexp,
                                          EvaluationContext context)
                                            throws FaultException,
                                                   EvaluationException

      Specified by:
        `evaluateAsDate` in interface `ExpressionLanguageRuntime`
      Throws:
        `FaultException`
        `EvaluationException`

    - #### evaluateAsDuration

          public Duration evaluateAsDuration(OExpression cexp,
                                    EvaluationContext context)
                                      throws FaultException,
                                             EvaluationException

      Specified by:
        `evaluateAsDuration` in interface `ExpressionLanguageRuntime`
      Throws:
        `FaultException`
        `EvaluationException`